SVNException (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.SVNException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core
Class SVNException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.tmatesoft.svn.core.SVNException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  SVNAuthenticationException, SVNCancelException

public class SVNException
extends Exception

A main exception class that is used in the SVNKit library. All other SVNKit exception classes extend this one. Detailed information on the error (description, error code) is encapsulated inside an error message that is held by an SVNException.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  Serialized Form

Constructor Summary
`SVNException(SVNErrorMessage errorMessage)` Creates an exception given an error message.
`SVNException(SVNErrorMessage errorMessage, Throwable cause)` Creates an exception given an error message and the cause exception.

Method Summary
`SVNErrorMessage` | `getErrorMessage()` Returns an error message provided to this exception object.
`String` | `getMessage()` Returns the informational message describing the cause of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVNException

    public SVNException(SVNErrorMessage errorMessage)

  Creates an exception given an error message.

Parameters:
  `errorMessage` - an error message

### SVNException

    public SVNException(SVNErrorMessage errorMessage,
                        Throwable cause)

  Creates an exception given an error message and the cause exception.

Parameters:
  `errorMessage` - an error message
  `cause` - the real cause of the error

Method Detail

### getErrorMessage

    public SVNErrorMessage getErrorMessage()

  Returns an error message provided to this exception object.

  Returns:
    an error message that contains details on the error

### getMessage

    public String getMessage()

  Returns the informational message describing the cause of this exception.

  Returns:
    an informational message

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.